Api referenceGeneratedMessages
Queue one template message
POST
/v1/messagesRequires the messages:send scope.
Authorization
WorkspaceApiKey X-API-Key<token>
Workspace API key.
In: header
TypeScript Definitions
Use the request body type in TypeScript.
recipientPhone*string
Length
1 <= lengthtemplateId*string
Format
uuidvariables*array<>
contactName?string
Length
length <= 200tagIds?array<>
Items
items <= 100Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/messages" \ -H "Content-Type: application/json" \ -d '{ "recipientPhone": "string", "templateId": "196100ac-4eec-4fb6-a7f7-86c8b584771d", "variables": [ { "name": "string", "value": "string" } ] }'{ "dispatchId": "a1a7028f-f483-4bbb-b8e5-fe878bddb1ae", "status": "queued", "statusUrl": "string"}